import React__default from 'react';
import { c as checkSisterSite } from './checkSisterSite-baa4fb6b.js';

var year = new Date().getFullYear();

var NavFooter = function NavFooter(props) {
  var website = props.website,
      showLogo = props.showLogo;

  return React__default.createElement(
    'div',
    { className: 'nav-footer' },
    website && React__default.createElement(
      'ul',
      null,
      website && website.sideFooterContent && website.sideFooterContent.length && website.sideFooterContent.map(function (content, index) {
        if (content.url && content.title) {
          return content.blank ? React__default.createElement(
            'li',
            { key: index },
            React__default.createElement(
              'a',
              { target: '_blank', rel: checkSisterSite(content.url) ? '' : 'noopener noreferrer', href: content.url, className: 'nav-link' },
              content.title
            )
          ) : React__default.createElement(
            'li',
            { key: index },
            React__default.createElement(
              'a',
              { href: content.url, rel: checkSisterSite(content.url) ? '' : 'noopener noreferrer', className: 'nav-link' },
              content.title
            )
          );
        } else return null;
      }),
      showLogo && React__default.createElement(
        'li',
        null,
        React__default.createElement(
          'a',
          { href: 'https://www.mjhlifesciences.com', rel: checkSisterSite('https://www.mjhlifesciences.com') ? '' : 'noopener noreferrer' },
          React__default.createElement('img', {
            style: { maxWidth: '100%', height: '50px', margin: ' 10px 0', objectFit: 'contain' },
            alt: 'MJHLS Brand Logo',
            src: 'https://mjh-web.s3.amazonaws.com/_media/an_mjhls_brand_logo.png'
          })
        )
      )
    ),
    website && website.title && React__default.createElement(
      'p',
      { className: 'nav-link' },
      '\xA9 ',
      year,
      ' MJH Life Sciences and ',
      website.title,
      '. All rights reserved.'
    )
  );
};

var NavFooter$1 = React__default.memo(NavFooter);

export { NavFooter$1 as N };
